Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.el.lang
Class FunctionMapperFactory

    java.lang.Object
      javax.el.FunctionMapper
          com.sun.el.lang.FunctionMapperFactory

    public class FunctionMapperFactory

extends FunctionMapper

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: tcfujii $
Author:
  Jacob Hookom [jacob@hookom.net]

Field Summary
`protected FunctionMapperImpl` | `memento`
`protected FunctionMapper` | `target`

Constructor Summary
`FunctionMapperFactory(FunctionMapper mapper)`

Method Summary
`FunctionMapper` | `create()`
`Method` | `resolveFunction(String prefix, String localName)` Resolves the specified prefix and local name into a `java.lang.Method`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### memento

    protected FunctionMapperImpl memento

### target

    protected FunctionMapper target

Constructor Detail

### FunctionMapperFactory

    public FunctionMapperFactory(FunctionMapper mapper)

Method Detail

### resolveFunction

    public Method resolveFunction(String prefix,
                                  String localName)

  Description copied from class: `FunctionMapper`
  Resolves the specified prefix and local name into a `java.lang.Method`.

  Returns `null` if no function could be found that matches the given prefix and local name.

  Specified by:
    `resolveFunction` in class `FunctionMapper`
  Parameters:
    `prefix` - the prefix of the function, or "" if no prefix. For example, `"fn"` in `${fn:method()}`, or `""` in `${method()}`.
    `localName` - the short name of the function. For example, `"method"` in `${fn:method()}`.
  Returns:
    the static method to invoke, or `null` if no match was found.

### create

    public FunctionMapper create()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.